package com.winhc.data.push.bean;

import lombok.*;

import java.util.List;

/**
 * @author π
 * @Description:任务运行参数
 * @date 2024/4/29 15:30
 */

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TaskRunParam {

    //customer name
    private String customer_name;

    //odps table
    private String source_table;

    //上传任务表
    private String syn_upload_tasks;

    //输出数据源
    private String datasource;

    //bucket_name
    private String bucket_name;

    //bucket 前缀
    private String oss_pre;

    //file suffix
    private String detail_suffix;

    //获取 tns sql
    private String tns_sql_pre;

    //输出tns 维度
    private List<String> tns_out;

    //flow name
    private String flow_name;

    //flow name
    private String flow_task_name;

}
