package com.winhc.data.push.service;


import com.aliyuncs.dataworks_public.model.v20180601.CreateManualDagResponse;
import com.winhc.data.push.bean.DataWorksFlowTask;
import com.winhc.data.push.bean.TaskFlowEnum;
import com.winhc.data.push.bean.TaskParam;
import com.winhc.data.push.configuration.ProjectParamInit;

import java.util.Map;

/**
 * @author: XuJiakai
 * 2020/10/31 10:54
 */
public interface DataWorksService {

     CreateManualDagResponse export2Mongo(String ds);

     CreateManualDagResponse export2OSS(String ds);
     CreateManualDagResponse export2OSS(String ds, String flowName, String bizDate, DataWorksFlowTask dataWorksFlowTask, Map<String, String> otherParams);

     CreateManualDagResponse touch(TaskParam task);

     Map<String, TaskFlowEnum> query(String project, Long returnValue);

     CreateManualDagResponse touch(String project, String flowName, String bizDate, DataWorksFlowTask dataWorksFlowTask, Map<String, String> otherParams);

}
