package com.winhc.data.push;

import com.aliyun.oss.ClientException;
import com.aliyun.oss.OSS;
import com.aliyun.oss.OSSClientBuilder;
import com.aliyun.oss.OSSException;
import com.aliyun.oss.model.*;

import java.util.List;


public class Demo3 {
    public static void main(String[] args) throws Exception {
        // Endpoint以华东1（杭州）为例，其它Region请按实际情况填写。
        String endpoint = "https://oss-cn-shanghai.aliyuncs.com";
        // 阿里云账号AccessKey拥有所有API的访问权限，风险很高。强烈建议您创建并使用RAM用户进行API访问或日常运维，请登录RAM控制台创建RAM用户。
        //安硕key
        String accessKeyId = "LTAI5tDrbWcjKkzTnJXCrwkC";
        String accessKeySecret = "AWDvBsQc16AYMszNVRga5ANbzuLowy";


        accessKeyId = "LTAI6HKo33DbtiBI";
        accessKeySecret = "8FmSBhHyaz4jtyJhiimK0NGF5rBPMl";
        // 填写Bucket名称，例如examplebucket。
        String bucketName = "data-exchange-as";
        //String bucketName = "bigdata-rt";
        //10567

        // 创建OSSClient实例。
        OSS ossClient = new OSSClientBuilder().build(endpoint, accessKeyId, accessKeySecret);

        int i = 0;
        String keyPre = "anshuo/auction_tracking/20230529/file/";
        try {
            String nextContinuationToken = null;
            ListObjectsV2Result result = null;

            // 分页列举，每次传入上次返回结果中的nextContinuationToken。
            do {
                ListObjectsV2Request listObjectsV2Request = new ListObjectsV2Request(bucketName).withMaxKeys(200).withPrefix(keyPre);
                listObjectsV2Request.setContinuationToken(nextContinuationToken);
                result = ossClient.listObjectsV2(listObjectsV2Request);

                List<OSSObjectSummary> sums = result.getObjectSummaries();
                for (OSSObjectSummary s : sums) {
                    System.out.println("\t" + s.getKey());
                    System.out.println(++i);
                }

                nextContinuationToken = result.getNextContinuationToken();

            } while (result.isTruncated());

        } catch (OSSException oe) {
            System.out.println("Caught an OSSException, which means your request made it to OSS, "
                    + "but was rejected with an error response for some reason.");
            System.out.println("Error Message:" + oe.getErrorMessage());
            System.out.println("Error Code:" + oe.getErrorCode());
            System.out.println("Request ID:" + oe.getRequestId());
            System.out.println("Host ID:" + oe.getHostId());
        } catch (ClientException ce) {
            System.out.println("Caught an ClientException, which means the client encountered "
                    + "a serious internal problem while trying to communicate with OSS, "
                    + "such as not being able to access the network.");
            System.out.println("Error Message:" + ce.getMessage());
        } finally {
            if (ossClient != null) {
                ossClient.shutdown();
            }
        }
    }
}